import request from '../request'
//金牌车教的open api
const openApi = process.env.NODE_ENV === 'development' ? 'https://jpcj-admin1.zzxcx.net/stage-api' : 'https://jpcj-admin.zzxcx.net/prod-api'
const open = {
    //open-api/teachingVideo/info/treeList
    //获取视频列表
    teachingVideoInfoTreeList(params){
        return request({
            url:"open-api/teachingVideo/info/treeList",
            params
        })

    },
    questionInfoSelectTestK14QuestionInfoList(params) {
        return request({
            url: `${openApi}/open-api/question/info/selectTestK14QuestionInfoList`,
            method: "GET",
            params
        })

    },
    lightingCombinationList() {
        return request({
            url: `${openApi}/open-api/lighting/combination/list`,
            method: "GET"
        })
    },
    lightingCombinationId(id) {
        return request({
            url: `${openApi}/open-api/lighting/combination/` + id,
            method: "GET",
        })
    },
    lightingItemList(){
        return request({
            url: `${openApi}/open-api/lighting/item/list`,
            method: "GET",
        })
    }
}
export default open